
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "yorinter/version"

Gem::Specification.new do |spec|
  spec.name          = "yorinter"
  spec.version       = Yorinter::VERSION
  spec.authors       = ["Hai Le"]
  spec.email         = ["hailn@topica.edu.vn"]

  spec.summary       = "Help render document template"
  spec.description   = "Support render erb or haml to html or pdf, using data from json or from api endpoint"
  spec.homepage      = "https://git.edumall.io/eden/yorinter"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    # spec.metadata["allowed_push_host"] = "https://gemall.edumall.io"
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "webmock", "~> 3.1"

  spec.add_runtime_dependency 'activesupport'
  spec.add_runtime_dependency 'wicked_pdf'
  spec.add_runtime_dependency 'wkhtmltopdf-binary'
  spec.add_runtime_dependency 'haml'
end
